# Action::Insert Class Reference

Insert the Exif data from corresponding *.exv files. More...

`#include <actions.hpp>`

Inheritance diagram for Action::Insert:

[legend]
Collaboration diagram for Action::Insert:

[legend]
List of all members.

## Public Types

typedef std::auto_ptr< Insert > | AutoPtr
| Shortcut for an auto pointer.

## Public Member Functions

virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.
int | insertThumbnail (const std::string &path) const
| Insert a Jpeg thumbnail image from a file into file path. The filename of the thumbanail is expected to be the image filename (path) minus its suffix plus "-thumb.jpg".

## Detailed Description

Insert the Exif data from corresponding *.exv files.

## Member Function Documentation

int Action::Insert::run | ( | const std::string & | path | ) | `[virtual]`

Application interface to perform a task.

Parameters:

  | path | Path of the file to process.

Returns:
  0 if successful.

Implements Action::Task.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp